Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Trading_Loader Class Reference

`#include <Trading_Loader.h>`

Inheritance diagram for TAO_Trading_Loader:

[legend]
Collaboration diagram for TAO_Trading_Loader:

[legend]
List of all members.

## Public Methods
| TAO_Trading_Loader (void)
| ~TAO_Trading_Loader (void)
virtual int | init (int argc, ACE_TCHAR *argv[])
virtual int | fini (void)
int | run (ACE_ENV_SINGLE_ARG_DECL)
CORBA::Object_ptr | create_object (CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[] ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
## Protected Methods
int | init_multicast_server (void)
int | bootstrap_to_federation (ACE_ENV_SINGLE_ARG_DECL)
int | parse_args (int &argc, ACE_TCHAR *argv[])
## Protected Attributes
TAO_ORB_Manager | orb_manager_
auto_ptr< TAO_Trader_Factory::TAO_TRADER > | trader_
TAO_Service_Type_Repository | type_repos_
CORBA::String_var | ior_
CORBA::Boolean | federate_
FILE * | ior_output_file_
CORBA::String_var | name_
TAO_IOR_Multicast | ior_multicast_
CORBA::Boolean | bootstrapper_
CORBA::Boolean | dumpior_
## Private Methods
| TAO_Trading_Loader (const TAO_Trading_Loader &)
TAO_Trading_Loader & | operator= (const TAO_Trading_Loader &)

## Constructor & Destructor Documentation

TAO_Trading_Loader::TAO_Trading_Loader | ( | void |  | ) |

TAO_Trading_Loader::~TAO_Trading_Loader | ( | void |  | ) |

TAO_Trading_Loader::TAO_Trading_Loader | ( | const TAO_Trading_Loader & |  | ) | `[private]`

## Member Function Documentation

int TAO_Trading_Loader::bootstrap_to_federation | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

CORBA::Object_ptr TAO_Trading_Loader::create_object | ( | CORBA::ORB_ptr | orb_ptr,
|  | int | argc,
|  | ACE_TCHAR *argv | ACE_ENV_ARG_DECL[]
| ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from TAO_Object_Loader.

int TAO_Trading_Loader::fini | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_Trading_Loader::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_Trading_Loader::init_multicast_server | ( | void |  | ) | `[protected]`

TAO_Trading_Loader& TAO_Trading_Loader::operator= | ( | const TAO_Trading_Loader & |  | ) | `[private]`

int TAO_Trading_Loader::parse_args | ( | int & | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[protected]`

int TAO_Trading_Loader::run | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

## Member Data Documentation

CORBA::Boolean TAO_Trading_Loader::bootstrapper_`[protected]`

CORBA::Boolean TAO_Trading_Loader::dumpior_`[protected]`

CORBA::Boolean TAO_Trading_Loader::federate_`[protected]`

CORBA::String_var TAO_Trading_Loader::ior_`[protected]`

TAO_IOR_Multicast TAO_Trading_Loader::ior_multicast_`[protected]`

FILE* TAO_Trading_Loader::ior_output_file_`[protected]`

CORBA::String_var TAO_Trading_Loader::name_`[protected]`

TAO_ORB_Manager TAO_Trading_Loader::orb_manager_`[protected]`

auto_ptr<TAO_Trader_Factory::TAO_TRADER> TAO_Trading_Loader::trader_`[protected]`

TAO_Service_Type_Repository TAO_Trading_Loader::type_repos_`[protected]`

The documentation for this class was generated from the following files:

- Trading_Loader.h
- Trading_Loader.cpp